Dependencies for darcs-2.14.1

library
darcs
  • base (>=4.9 && <4.12)
  • darcs
  • if !flag(executable)
    • buildable: False

Flags

NameDescriptionDefaultType
curl

Use libcurl for HTTP support.

EnabledAutomatic
pkgconfig

Use pkgconfig to configure libcurl

DisabledAutomatic
static

Build static binary

DisabledAutomatic
terminfo

Use the terminfo package for enhanced console support.

EnabledAutomatic
threaded

Use threading and SMP support.

EnabledAutomatic
executable

Build darcs executable

EnabledAutomatic
rtsDisabledAutomatic
optimize

Build with optimizations (-O2)

EnabledAutomatic
warn-as-error

Build with warnings-as-errors

DisabledManual

Use -f <flag> to enable a flag, or -f -<flag> to disable that flag. More info